require 'mongoid'
require 'mongoid_collation'
require 'database_cleaner'

Mongoid::Config.connect_to('mongoid_collation', {read: :primary,
                                                 write: {fsync: true}})

Mongoid.logger = Logger.new(STDOUT)
Moped.logger = Mongoid.logger

RSpec.configure do |config|
  config.before(:suite) do
    DatabaseCleaner.strategy = :truncation
    DatabaseCleaner.clean_with(:truncation)
  end

  config.around(:each) do |example|
    DatabaseCleaner.cleaning do
      example.run
    end
  end
end
